import { p as proxyCustomElement, H, c as createEvent, h } from './p-3b962989.js';
import { d as defineCustomElement$9 } from './p-fcdd38ae.js';
import { d as defineCustomElement$8 } from './p-05fde321.js';
import { d as defineCustomElement$7 } from './p-5eac8600.js';
import { d as defineCustomElement$6 } from './p-90a680f0.js';
import { d as defineCustomElement$5 } from './p-d31c6271.js';
import { d as defineCustomElement$4 } from './p-d55ae1aa.js';
import { d as defineCustomElement$3 } from './p-bb71cb69.js';
import { d as defineCustomElement$2 } from './p-56650981.js';
import { d as defineCustomElement$1 } from './p-c79c8bc4.js';

const TransactionToast = /*@__PURE__*/ proxyCustomElement(class TransactionToast extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.handleDeleteToast = createEvent(this, "handleDeleteToast", 7);
        this.toastId = '';
        this.processedTransactionsStatus = '';
        this.transactions = [];
    }
    onDeleteToast() {
        this.handleDeleteToast.emit(this.toastId);
    }
    render() {
        var _a, _b;
        return (h("transaction-toast-wrapper", { key: '31a7aca5e321b2a6a49bdd4dc17d6c15af316094', wrapperId: `toast-${this.toastId}`, wrapperClass: this.wrapperClass }, h("transaction-toast-progress", { key: this.toastId, startTime: (_a = this.transactionProgressState) === null || _a === void 0 ? void 0 : _a.startTime, endTime: (_b = this.transactionProgressState) === null || _b === void 0 ? void 0 : _b.endTime }, h("transaction-toast-content", { key: '16de241eba94591c8027b517e5c21b09099feb60', onDeleteToast: this.onDeleteToast.bind(this), processedTransactionsStatus: this.processedTransactionsStatus, toastDataState: this.toastDataState, transactions: this.transactions }))));
    }
}, [1, "transaction-toast", {
        "toastId": [1, "toast-id"],
        "wrapperClass": [1, "wrapper-class"],
        "processedTransactionsStatus": [1, "processed-transactions-status"],
        "transactions": [16],
        "toastDataState": [16],
        "transactionProgressState": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast", "copy-button", "explorer-link", "fa-icon", "transaction-toast-content", "transaction-toast-details", "transaction-toast-details-body", "transaction-toast-progress", "transaction-toast-wrapper", "trim-text"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionToast);
            }
            break;
        case "copy-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$9();
            }
            break;
        case "explorer-link":
            if (!customElements.get(tagName)) {
                defineCustomElement$8();
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$7();
            }
            break;
        case "transaction-toast-content":
            if (!customElements.get(tagName)) {
                defineCustomElement$6();
            }
            break;
        case "transaction-toast-details":
            if (!customElements.get(tagName)) {
                defineCustomElement$5();
            }
            break;
        case "transaction-toast-details-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "transaction-toast-progress":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "transaction-toast-wrapper":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
        case "trim-text":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { TransactionToast as T, defineCustomElement as d };

//# sourceMappingURL=p-bbb0c6b7.js.map